close

[Solved] failure to install openpyxl with pip–how to overcome proxy

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error failure to install openpyxl with pip–how to overcome proxy in python. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How failure to install openpyxl with pip–how to overcome proxy Error Occurs?

Today I get the following error failure to install openpyxl with pip–how to overcome proxy in python.

How To Solve failure to install openpyxl with pip–how to overcome proxy Error ?

  1. How To Solve failure to install openpyxl with pip–how to overcome proxy Error ?

    To Solve failure to install openpyxl with pip–how to overcome proxy Error Downloading, copying et_xmlfile-1.1.0-py3-none-any.whl into the same dir as above, and running the pip install again, succeeded

  2. failure to install openpyxl with pip–how to overcome proxy

    To Solve failure to install openpyxl with pip–how to overcome proxy Error Downloading, copying et_xmlfile-1.1.0-py3-none-any.whl into the same dir as above, and running the pip install again, succeeded

Solution 1

It seems that your local network status can not resolve the host name. Maybe be you can try to install that from source, below is my step:

1:Download the source code:

https://pypi.python.org/pypi/openpyxl

2:Build and install:

python3.6 setup.py install

3:Output:

.........
creating dist
creating 'dist/openpyxl-2.5.0-py3.6.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing openpyxl-2.5.0-py3.6.egg
creating /usr/local/lib/python3.6/dist-packages/openpyxl-2.5.0-py3.6.egg
Extracting openpyxl-2.5.0-py3.6.egg to /usr/local/lib/python3.6/dist-packages
Adding openpyxl 2.5.0 to easy-install.pth file

Installed /usr/local/lib/python3.6/dist-packages/openpyxl-2.5.0-py3.6.egg
Processing dependencies for openpyxl==2.5.0
Searching for et-xmlfile==1.0.1
Best match: et-xmlfile 1.0.1
Adding et-xmlfile 1.0.1 to easy-install.pth file

Using /usr/local/lib/python3.6/dist-packages
Searching for jdcal==1.3
Best match: jdcal 1.3
Adding jdcal 1.3 to easy-install.pth file

Using /usr/local/lib/python3.6/dist-packages
Finished processing dependencies for openpyxl==2.5.0

4:Import and using:

Python 3.6.3 (default, Oct  6 2017, 08:44:35)
[GCC 5.4.0 20160609] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from openpyxl import Workbook
>>>

Solution 2

Installing from the wheel worked in my case: I had to install openpyxl on a corporate LAN server (Win) without internet The solution is based on

pip install openpyxl-3.0.9-py2.py3-none-any.whl --no-index --trusted-host=None --find-links=C:\__the_whl_dir__

at first, this did not work, complaining about

ERROR: Could not find a version that satisfies the requirement et-xmlfile (from openpyxl) (from versions: none) ERROR: No matching distribution found for et-xmlfile

Downloading, copying et_xmlfile-1.1.0-py3-none-any.whl into the same dir as above, and running the pip install again, succeeded

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read